Package org.drinkless.tdlib

# Class TdApi.InternalLinkTypeRequestManagedBot

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InternalLinkType
org.drinkless.tdlib.TdApi.InternalLinkTypeRequestManagedBot

Enclosing class:
  `TdApi`

public static class TdApi.InternalLinkTypeRequestManagedBot extends TdApi.InternalLinkType
The link is a link to a dialog for creating of a managed bot. Call searchPublicChat with the given manager bot username. If the chat is found, the chat is a chat with a bot and the bot has canManageBots == true, then show bot creation confirmation dialog with the given suggestedBotUsername and suggestedBotName. If user agrees, call createBot with viaLink == true to create the bot.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InternalLinkType

  `TdApi.InternalLinkType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `managerBotUsername`
  Username of the bot which will manage the new bot.
  `String`
  `suggestedBotName`
  Suggested name for the bot; may be empty if not specified.
  `String`
  `suggestedBotUsername`
  Suggested username for the bot; always ends with "bot" case-insensitive.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InternalLinkTypeRequestManagedBot()`
  The link is a link to a dialog for creating of a managed bot.
  `InternalLinkTypeRequestManagedBot(String managerBotUsername, String suggestedBotUsername, String suggestedBotName)`
  The link is a link to a dialog for creating of a managed bot.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### managerBotUsername

    public String managerBotUsername
    Username of the bot which will manage the new bot.

  - ### suggestedBotUsername

    public String suggestedBotUsername
    Suggested username for the bot; always ends with "bot" case-insensitive.

  - ### suggestedBotName

    public String suggestedBotName
    Suggested name for the bot; may be empty if not specified.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InternalLinkTypeRequestManagedBot

    public InternalLinkTypeRequestManagedBot()
    The link is a link to a dialog for creating of a managed bot. Call searchPublicChat with the given manager bot username. If the chat is found, the chat is a chat with a bot and the bot has canManageBots == true, then show bot creation confirmation dialog with the given suggestedBotUsername and suggestedBotName. If user agrees, call createBot with viaLink == true to create the bot.

  - ### InternalLinkTypeRequestManagedBot

    public InternalLinkTypeRequestManagedBot(String managerBotUsername, String suggestedBotUsername, String suggestedBotName)
    The link is a link to a dialog for creating of a managed bot. Call searchPublicChat with the given manager bot username. If the chat is found, the chat is a chat with a bot and the bot has canManageBots == true, then show bot creation confirmation dialog with the given suggestedBotUsername and suggestedBotName. If user agrees, call createBot with viaLink == true to create the bot.
    Parameters:
      `managerBotUsername` - Username of the bot which will manage the new bot.
      `suggestedBotUsername` - Suggested username for the bot; always ends with "bot" case-insensitive.
      `suggestedBotName` - Suggested name for the bot; may be empty if not specified.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InternalLinkType`
    Returns:
      this.CONSTRUCTOR